#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes.MultiTouchStack
{
	#region PluginInfo
	[PluginInfo(Name = "AddSlide", Category = "MultiTouchStack", Version = "Transform", Author = "elliotwoods", AutoEvaluate=true)]
	#endregion PluginInfo
	public class AddSlideNode : IPluginEvaluate
	{
		#region fields & pins
		[Input("World", IsSingle=true)]
		public ISpread<World> FInWorld;
		
		[Input("Position")]
		public ISpread<Vector2D> FInPosition;
		
		[Input("Rotation")]
		public ISpread<Double> FInRotation;
		
		[Input("Scale")]
		public ISpread<Double> FInScale;
		
		[Input("Aspect Ratio")]
		public ISpread<Double> FInAspectRatio;
		
		[Input("Tags")]
		public ISpread<String> FInTags;
		
		[Input("Minimum Scale", DefaultValue = 0.1)]
		public ISpread<Double> FInMinimumScale;
		
		[Input("Maximum Scale", DefaultValue = 100.0)]
		public ISpread<Double> FInMaximumScale;
		
		[Input("Drag Hit Test")]
		public ISpread<HitTestFunction> FInDragHitTestFunction;
		
		[Input("Custom Hit Test")]
		public ISpread<ISpread<HitTestFunction>> FInCustomHitTestFunction;
		
		[Input("Custom Hit Test Result")]
		public ISpread<ISpread<String>> FInCustomHitTestResult;
		
		[Input("Add", IsBang=true)]
		public ISpread<bool> FInAdd;
		
		[Output("Success")]
		public ISpread<bool> FOutSuccess;

		[Import()]
		public ILogger FLogger;
		#endregion fields & pins

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			
		}
	}
}
