#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes.MultiTouchStack
{
	#region PluginInfo
	[PluginInfo(Name = "World", Category = "MultiTouchStack", Help = "The world of slides in the MultiTouch Stack", Tags = "", Author = "elliotwoods")]
	#endregion PluginInfo
	public class WorldNode : IPluginEvaluate
	{
		#region fields & pins
		[Input("Cursors")]
		public ISpread<Vector2D> FInCursors;
		
		[Input("Settings")]
		public ISpread<Settings> FInSettings;

		[Output("World", Order=0)]
		public ISpread<World> FOutWorld;

		[Output("Slides", Order=1)]
		public ISpread<Slide> FOutSlides;
		
		[Output("All Cursors", Order=2)]
		public ISpread<Cursor> FOutAllCursors;
		
		[Output("Cursors On Canvas", Order=3)]
		public ISpread<Cursor> FOutCursorsOnCanvas;
		
		[Output("Canvas Transform", Order=4)]
		public ISpread<Matrix4x4> FOutCanvasTransform;
		
		[Import()]
		public ILogger FLogger;
		#endregion fields & pins

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			
		}
	}
}
